Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class RepeatType

    java.lang.Object
      com.compoze.domino.RepeatType

All Implemented Interfaces:
  java.io.Serializable

public class RepeatType
extends java.lang.Object
implements java.io.Serializable

This class stores the values for a 'repeat type'. The internationalizable string values are stored in the `domino_resources.properties` file (accessed through `DominoProperties`) and referenced by their key.

See Also:
  Serialized Form

Field Summary
`static RepeatType` | `CUSTOM` This value represents a 'custom' repeat type.
`static RepeatType` | `DAILY` This value represents a 'daily' repeat type.
`static RepeatType` | `MONTHLY_BY_DATE` This value represents a 'monthly by date' repeat type.
`static RepeatType` | `MONTHLY_BY_DAY` This value represents a 'monthly by day' repeat type.
`static int` | `VALUE_CUSTOM` This represents the 'custom' value.
`static int` | `VALUE_DAILY` This represents the 'daily' value.
`static int` | `VALUE_MONTHLY_BY_DATE` This represents the 'monthly by date' value.
`static int` | `VALUE_MONTHLY_BY_DAY` This represents the 'monthly by day' value.
`static int` | `VALUE_WEEKLY` This represents the 'weekly' value.
`static int` | `VALUE_YEARLY` This represents the 'yearly' value.
`static RepeatType` | `WEEKLY` This value represents a 'weekly' repeat type.
`static RepeatType` | `YEARLY` This value represents a 'yearly' repeat type.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static RepeatType` | `get(int iValue)` Gets the repeat type by its value.
`static java.util.List` | `getList()` Gets the list of repeat types.
`java.lang.String` | `getName()` Gets the name of the repeat type using the system default locale.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of the repeat type using the specified locale.
`int` | `getValue()` Gets the value of the repeat type.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VALUE_DAILY

    public static final int VALUE_DAILY

  This represents the 'daily' value.

  See Also:
    Constant Field Values

### VALUE_WEEKLY

    public static final int VALUE_WEEKLY

  This represents the 'weekly' value.

  See Also:
    Constant Field Values

### VALUE_MONTHLY_BY_DATE

    public static final int VALUE_MONTHLY_BY_DATE

  This represents the 'monthly by date' value.

  See Also:
    Constant Field Values

### VALUE_MONTHLY_BY_DAY

    public static final int VALUE_MONTHLY_BY_DAY

  This represents the 'monthly by day' value.

  See Also:
    Constant Field Values

### VALUE_YEARLY

    public static final int VALUE_YEARLY

  This represents the 'yearly' value.

  See Also:
    Constant Field Values

### VALUE_CUSTOM

    public static final int VALUE_CUSTOM

  This represents the 'custom' value.

  See Also:
    Constant Field Values

### DAILY

    public static final RepeatType DAILY

  This value represents a 'daily' repeat type.

### WEEKLY

    public static final RepeatType WEEKLY

  This value represents a 'weekly' repeat type.

### MONTHLY_BY_DATE

    public static final RepeatType MONTHLY_BY_DATE

  This value represents a 'monthly by date' repeat type.

### MONTHLY_BY_DAY

    public static final RepeatType MONTHLY_BY_DAY

  This value represents a 'monthly by day' repeat type.

### YEARLY

    public static final RepeatType YEARLY

  This value represents a 'yearly' repeat type.

### CUSTOM

    public static final RepeatType CUSTOM

  This value represents a 'custom' repeat type.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the repeat type using the system default locale.

  Returns:
    the name

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of the repeat type using the specified locale.

  Parameters:
    `locale` - the locale
  Returns:
    the name

### getValue

    public int getValue()

  Gets the value of the repeat type.

  Returns:
    the value

### get

    public static RepeatType get(int iValue)

  Gets the repeat type by its value.

  Parameters:
    `iValue` - the value to get by
  Returns:
    the matching repeat type or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of repeat types.

  Returns:
    the list of `RepeatType`s (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The store value is used to determine equality, so that the language the name is represented in is not important.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same store value as the argument, `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.

  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.